from .client import WallabagClient
from .methods.annotations import AnnotationsAPI
from .methods.entries import EntriesAPI
from .methods.tags import TagsAPI


class WallabagAPI:
    def __init__(
        self,
        client_id,
        client_secret,
        username,
        password,
        base_url="https://app.wallabag.it",
    ):
        self.client = WallabagClient(
            client_id, client_secret, username, password, base_url
        )
        self.entries = EntriesAPI(self.client)
        self.tags = TagsAPI(self.client)
        self.annotations = AnnotationsAPI(self.client)
